IPSW-DYLD-DISASS(1)

NAME
ipsw-dyld-disass - Disassemble at symbol/vaddr

SYNOPSIS
ipsw dyld disass [flags]

DESCRIPTION
Disassemble at symbol/vaddr

OPTIONS
--cache=""
    Path to .a2s addr to sym cache file (speeds up analysis)

-c, --count=0
    Number of instructions to disassemble

-D, --dec[=false]
    Decompile assembly

--dec-lang=""
    Language to decompile to (C, ObjC or Swift)

--dec-llm="copilot"
    LLM provider to use for decompilation (ollama, copilot, etc.)

--dec-model=""
    LLM model to use for decompilation

--dec-nocache[=false]
    Do not use decompilation cache

--dec-retries=0
    Number of retries for LLM decompilation

--dec-retry-backoff=30s
    Backoff time between retries (e.g. '30s', '2m')

--dec-temp=0.2
    LLM temperature for decompilation

--dec-theme="nord"
    Decompilation color theme (nord, github, etc)

--dec-top-p=0.1
    LLM top_p for decompilation

-d, --demangle[=false]
    Demangle symbol names

--dylibs[=false]
    Analyze all dylibs loaded by the image as well (could improve accuracy)

--force[=false]
    Continue to disassemble even if there are analysis errors

-h, --help[=false]
    help for disass

-i, --image=[]
    Dylib(s) to disassemble

--input=""
    Input function JSON file

-j, --json[=false]
    Output as JSON

-q, --quiet[=false]
    Do NOT markup analysis (Faster)

-s, --symbol=""
    Function to disassemble

--symbol-image=""
    Dylib to search for symbol (speeds up symbol lookup)

-a, --vaddr=0
    Virtual address to start disassembling

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Disassemble all images in dyld_shared_cache
    ❯ ipsw dsc disass DSC
    # Disassemble a few dylibs in dyld_shared_cache (NOTE: multiple -i flags OR comma separated dylibs)
    ❯ ipsw dsc disass DSC --image libsystem_kernel.dylib --image libsystem_platform.dylib,libsystem_pthread.dylib
    # Disassemble a symbol in dyld_shared_cache (NOTE: supply --symbol-image 'libsystem_malloc.dylib' for faster lookup)
    ❯ ipsw dsc disass DSC --symbol _malloc
    # Disassemble a function at a virtual address in dyld_shared_cache
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940
    # Disassemble a function at a virtual address in dyld_shared_cache and output as JSON
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940 --json
    # Disassemble a function at a virtual address in dyld_shared_cache and demangle symbol names
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940 --demangle
    # Disassemble a function at a virtual address in dyld_shared_cache and do NOT markup analysis (Faster)
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940 --quiet
    # Decompile a function at a virtual address in dyld_shared_cache (via GitHub Copilot)
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940 --dec --dec-model "Claude 3.7 Sonnet"
    # Decompile a function using OpenRouter to access various models
    ❯ ipsw dsc disass DSC --vaddr 0x1b19d6940 --dec --dec-llm openrouter --dec-model "OpenAI: GPT-4o-mini"

SEE ALSO
ipsw-dyld(1)

HISTORY
18-Dec-2025 Auto generated by spf13/cobra